.container {
  margin: 0 auto;
  padding: 2rem;
}

/* HEADER */
header {
  width: 100%;
  height: fit-content;
}

.header__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 1rem;
  padding: 0.5rem 1rem;
  flex-wrap: wrap;
}

.nav__logo {
  width: 60px;
  height: 60px;
}

.nav__container {
  display: none;
  flex-direction: column;
  width: 100%;
  padding: 0.5rem 0;
  align-items: flex-start;
}

.nav__container.active {
  display: flex;
  justify-content: center;
  flex-direction: row;
  gap: 1rem;
}

.nav__link {
  margin: 0.5rem 0;
  display: flex;
  gap: 0.5rem;
  font-size: 1rem;
  text-decoration: none;
  color: var(--color-text-w);
  font-weight: 700;
  transition: color 0.3s ease;
}

.nav__link:hover {
  color: var(--color-accent);
}

.nav__toggle {
  display: block;
  background: none;
  border: none;
  color: var(--color-primary);
  font-size: 2rem;
  cursor: pointer;
  margin-left: auto;
}

/* FOOTER */
footer {
  width: 100%;
  font-size: 0.8rem;
  color: var(--color-text-w);
  text-align: center;
  max-height: fit-content;
}

footer a {
  text-decoration: none;
  color: var(--color-text-w);
}

.contact__links a {
  color: #c7a3e0;
  font-size: 1.8rem;
  margin: 0 0.8rem;
  transition: color 0.3s ease;
}

.contact__links a:hover {
  color: #ffffff;
}

.footer__credit a {
  color: #c7a3e0;
  text-decoration: none;
}

.footer__credit a:hover {
  text-decoration: underline;
}